#
# Conditional build:
%bcond_without	static_libs	# static library

Summary:	Simple, small, efficient, C++ XML parser
Summary(pl.UTF-8):	Prosty, mały, efektywny parser XML w C++
Name:		tinyxml2
Version:	11.0.0
Release:	1
License:	BSD-like
Group:		Libraries
#Source0Download: https://github.com/leethomason/tinyxml2/releases
Source0:	https://github.com/leethomason/tinyxml2/archive/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	e0fbd280045af095b26d2430d38f0c34
URL:		https://github.com/leethomason/tinyxml2
BuildRequires:	cmake >= 3.15
BuildRequires:	libstdc++-devel
BuildRequires:	rpmbuild(macros) >= 1.605
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
TinyXML-2 is a simple, small, efficient, C++ XML parser that can be
easily integrated into other programs.

%description -l pl.UTF-8
TinyXML-2 to prosty, mały, efektywny parser XML w C++, który można
łatwo integrować w innych programach.

%package devel
Summary:	Header files for TinyXML-2 library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki TinyXML-2
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel

%description devel
Header files for TinyXML-2 library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki TinyXML-2.

%package static
Summary:	Static TinyXML-2 library
Summary(pl.UTF-8):	Statyczna biblioteka TinyXML-2
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static TinyXML-2 library.

%description static -l pl.UTF-8
Statyczna biblioteka TinyXML-2.

%prep
%setup -q

%build
# note: .pc file creation expects include and lib dirs relative to CMAKE_INSTALL_PREFIX
%if %{with static_libs}
%cmake -B build-static \
	-DCMAKE_INSTALL_INCLUDEDIR=include \
	-DCMAKE_INSTALL_LIBDIR=%{_lib} \
	-DBUILD_SHARED_LIBS=OFF

%{__make} -C build-static
%endif

%cmake -B build \
	-DCMAKE_INSTALL_INCLUDEDIR=include \
	-DCMAKE_INSTALL_LIBDIR=%{_lib}

%{__make} -C build

%install
rm -rf $RPM_BUILD_ROOT

%if %{with static_libs}
%{__make} -C build-static install \
	DESTDIR=$RPM_BUILD_ROOT
%endif

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc readme.md
%attr(755,root,root) %{_libdir}/libtinyxml2.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libtinyxml2.so.11

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libtinyxml2.so
%{_includedir}/tinyxml2.h
%{_libdir}/cmake/tinyxml2
%{_pkgconfigdir}/tinyxml2.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libtinyxml2.a
%endif
%changelog
* Sat Mar 22 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/tinyxml2.git;a=log;h=master

* Fri Mar 21 2025 Jakub Bogusz <qboosh@pld-linux.org> 51d097c
- updated to 11.0.0 (new soname)

* Mon May 17 2021 Jan Palus <atler@pld-linux.org> dac255c
- macros for %cmake

* Mon May 17 2021 Jan Palus <atler@pld-linux.org> 0c6dcf1
- up to 8.1.0

* Tue Mar 23 2021 Jakub Bogusz <qboosh@pld-linux.org> 8466047
- updated to 8.0.0 (new soname)

* Sun Mar 01 2020 Jakub Bogusz <qboosh@pld-linux.org> 8df76a6
- updated to 7.1.0

* Sun Dec 23 2018 Jakub Bogusz <qboosh@pld-linux.org> eef0338
- updated to 7.0.1 (new soname)

* Sat Apr 15 2017 Jakub Bogusz <qboosh@pld-linux.org> 1fa0f14
- new

